Qt 5.9 | Qt 3D | C++ Classes | QStencilOperation

Qt 5.9.9 Reference Documentation

# QStencilOperation Class

(Qt3DRender::QStencilOperation)

The QStencilOperation class specifies stencil operation More...

Header: | #include <QStencilOperation>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | StencilOperation
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Properties

- back : Qt3DRender::QStencilOperationArguments * const
- front : Qt3DRender::QStencilOperationArguments * const

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QStencilOperation(Qt3DCore::QNode *parent = nullptr)
QStencilOperationArguments * | back() const
QStencilOperationArguments * | front() const

- 11 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 public slots inherited from Qt3DCore::QNode
- 4 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QStencilOperation class specifies stencil operation

A Qt3DRender::QStencilOperation class specifies the stencil operations for the front- and back-facing polygons. The stencil operation control what is done to fragment when the stencil and depth test pass or fail.

See also Qt3DRender::QStencilTest.

## Property Documentation

### back : Qt3DRender::QStencilOperationArguments * const

Holds the stencil operation arguments for back-facing polygons.

Access functions:

QStencilOperationArguments * | back() const

### front : Qt3DRender::QStencilOperationArguments * const

Holds the stencil operation arguments for front-facing polygons.

Access functions:

QStencilOperationArguments * | front() const

## Member Function Documentation

### QStencilOperation::QStencilOperation(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QStencilOperation.